(1942-2016) Rogers died March 28 at the age of 73. He received his PhD from the University of California, Riverside in 1967 under the direction of Burton Jones. The next year he joined the faculty at Tulane University where he remained until his retirement in 2010. Rogers was an AMS member since 1966. Read more about his life in this obituary published by The Times-Picayune.